:root {
  --background-color: rgb(240, 247, 255);
  --header-color: crimson;
  --text-shadow: 0px 0px 6px rgba(221, 226, 255, 0.7);
}

body {
  background-image: url(../media/appbackground.jpg);
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
  padding-top: 30px;
}
h1,
h5 {
  color: var(--header-color);
  font-family: "Pacifico", cursive;
}

h1 {
  text-align: center;
  padding: 20px;
  margin: auto;
  text-shadow: var(--text-shadow);
}
h5 {
  text-align: left;
}
button {
  width: 60px;
}

.tempNumber {
  font-size: 36px;
  margin: auto 0;
  text-align: center;
  width: 50%;
}

.tempLinks {
  margin: auto 0;
  font-size: 14px;
}

#weatherEmoji {
  margin: auto 0;
  border-radius: 8px;
  width: 60px;
}

#weatherEmoji:hover {
  background-color: var(--background-color);
  border-radius: 8px;
}
.weather-desc:first-letter {
  text-transform: capitalize;
}

.sign-off {
  opacity: 50%;
  font-size: 12px;
  margin: 0px auto;
  max-width: 300px;
  color: white;
  margin-top: 20px;
  margin-bottom: 20px;
  text-align: center;
}

a:link,
a:visited {
  color: white;
}

.container {
  margin: 0px auto;
}

.app-boxes {
  border: 1px solid rgb(168, 168, 168);
  background-color: rgb(255, 255, 255, 0.6);
  padding: 20px;
  margin: 0px auto;
  max-width: 550px;
  border-radius: 5px;
  box-shadow: 1px 1px 5px grey;
}

.centred,
.row {
  text-align: center;
}

.lastUpdated {
  opacity: 70%;
  font-size: 12px;
}
#searchbox {
  width: 80%;
}

#carl-button,
#my-location-button {
  width: 122px;
  color: white;
}

.weather-forecast-temperature {
  font-size: 12px;
}

.weather-forecast-min {
  opacity: 75%;
}

.col:hover {
  cursor: pointer;
  background-color: var(--background-color);
  transition-duration: 0.5s;
  border-radius: 10px;
}

.carlPic {
  padding: 5px;
  border-radius: 35px;
  max-height: 200px;
  max-width: 200px;
}

.carlPic:hover {
  background-color: var(--background-color);
  transition-duration: 0.3s;
  padding: 0px;
  cursor: pointer;
}

@media (max-width: 580px) {
  body {
    padding-top: 10px;
  }
  #searchbox {
    width: 75%;
  }
  #go-Button {
    width: 20%;
  }
  #carl-button,
  #my-location-button {
    width: 40%;
    color: white;
    font-size: 75%;
  }

  h5 {
    font-size: smaller;
    text-align: center;
  }

  .container {
    padding: 0%;
  }

  #carlPic {
    display: flex;
    width: 75%;
  }

  .siteWidth {
    margin-right: 10px;
    margin-left: 10px;
  }
}
